# List forward rules

By default this endpoint lists all rules defined on the account. You can scope the list of rules by domain with 'domain.name', or search match expressions and forwarding destinations with 'search'. Requests with a non-empty search, including pagination, are limited to one request per second per account.

Endpoint: GET /v3/forwards
Version: 3.0.0
Security: basicAuth

## Query parameters:

  - `page` (string, required)
    Encoded paging information, provided via 'next', 'previous' links

  - `limit` (integer, required)
    Limits the number of items returned in a request

  - `domain.name` (string)
    The name of the domain the rule is scoped to

  - `search` (string)
    A case-insensitive literal substring to search for in match expressions and forwarding destinations (recipients, URLs, and store URLs)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.account_id` (string, required)

  - `items.domain_name` (string, required)

  - `items.domain_id` (string, required)

  - `items.match` (string, required)

  - `items.forward` (object, required)

  - `items.forward.urls` (array, required)

  - `items.forward.recipients` (array)

  - `items.forward.store` (string)

  - `items.created_at` (string, required)

  - `items.updated_at` (string, required)

  - `paging` (object, required)

  - `paging.previous` (string, required)
    Previous page URL

  - `paging.first` (string, required)
    First page URL

  - `paging.next` (string, required)
    Next page URL

  - `paging.last` (string, required)
    Last page URL

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 429 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

